Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking
Class DockableFactory.Stub

    java.lang.Object
      org.flexdock.docking.DockableFactory.Stub

All Implemented Interfaces:
  DockableFactory

Enclosing interface:
  DockableFactory

    public static class DockableFactory.Stub

extends Object
implements DockableFactory

An empty implementation of `DockableFactory`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.flexdock.docking.DockableFactory
`DockableFactory.Stub`

Constructor Summary
`DockableFactory.Stub()`

Method Summary
`Dockable` | `getDockable(String dockableId)` Returns a `Dockable` for the specified Dockable ID, possibly creating and registering it in the process.
`Component` | `getDockableComponent(String dockableId)` Returns a `Component` for the specified Dockable ID, possibly creating and registering a `Dockable` in the process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockableFactory.Stub

    public DockableFactory.Stub()

Method Detail

### getDockable

    public Dockable getDockable(String dockableId)

  Returns a `Dockable` for the specified Dockable ID, possibly creating and registering it in the process.

  Specified by:
    `getDockable` in interface `DockableFactory`
  Parameters:
    `dockableId` - the ID for the requested `Dockable`
  Returns:
    `null`.

### getDockableComponent

    public Component getDockableComponent(String dockableId)

  Returns a `Component` for the specified Dockable ID, possibly creating and registering a `Dockable` in the process.

  Specified by:
    `getDockableComponent` in interface `DockableFactory`
  Parameters:
    `dockableId` - the ID for the requested dockable `Component`
  Returns:
    `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD